/*
 * LaunchPad 1.11 public code release - October 1, 1997
 *  Official LaunchPad page: http://www.nwlink.com/~emilyk/LaunchPad
 *
 *  This code compiles with the EXCELLENT GCC 0.4.0 Win32 port for PalmPilot.
 *  Find info about it at http://www.shoppersmart.com/jlehett/gccwin32.html
 *  Does not compile under the 0.5.0 port because of PalmOS 2.0 differences.
 *
 * Disclaimers and other legal stuff:
 *  This code is provided AS-IS; there is NO WARRANTY, express or implied.
 *  The user assumes full responsibility and liability for any use of
 *  this code.
 *
 *  Copyright (C)1997 Eric Kenslow.
 *  All Rights Reserved by Eric Kenslow, except as noted below.
 *
 *  Permission to distribute this package complete and unmodified
 *  for personal use via the internet for no charge (other than reasonable
 *  connection charges) is granted to the public.
 *  Distribution for commercial purposes via any other medium, including but
 *  not limited to CD-ROM, floppy, or printed material, in whole or in part,
 *  requires express permission from Eric Kenslow (erick@metainfo.com).
 *
 *  Modified versions may be distributed with this notice intact, provided
 *  that said versions are clearly marked as modified code. The above
 *  provisions also apply to any such modified packages.
 *
 *  Permission is also granted to the public to use PARTS of this code in
 *  other projects, with no special notice required unless the source code
 *  is part of the distribution, in which case this notice must remain
 *  conspicuous in the code that was used.
 *
 * Note: These terms are intended to protect me, not make this package less
 *       useful. If you have a special need or use for this package, contact
 *       me and we'll work something out.
 *                                                - Eric
 *                                                  erick@metainfo.com
 *
 */


/*****************************************************************************
*
*   Module name:  Hack
*   Project:      LaunchPad
*
*   Created:      4/16/1997  Eric Kenslow
*
*   Description:  Implements the apps button hack
*
*****************************************************************************/

#include "LaunchPad.h"
#include "res.h"
#include <FeatureMgr.h>

/*** HackFun *****************************************************************
*
*   Purpose:   Apps button handler
*
*   Returns:   Nothing
*
*   Created:   4/16/1997  Eric Kenslow
*****************************************************************************/

void HackFun( void ); // Prototype to keep the compiler happy
void HackFun( void )
{
  UInt    iCard;
  LocalID id;
  DmSearchStateType sst;
  if( DmGetNextDatabaseByTypeCreator( true, &sst, (ULong)'appl', g_dwCreatorID,
                                       true, &iCard, &id ) == 0 )
    {
    UInt    iCardCur;
    LocalID idCur;
    ULong   idAppCur;
    SysCurAppDatabase( &iCardCur, &idCur );
    if( DmDatabaseInfo( iCardCur, idCur, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                         &idAppCur )
         == 0 && idAppCur != g_dwCreatorID )
      {
      FtrSet( g_dwCreatorID, g_iFtrPrevAppICard, iCardCur );
      FtrSet( g_dwCreatorID, g_iFtrPrevAppIDDB,  idCur );
      SysUIAppSwitch( iCard, id, sysAppLaunchCmdNormalLaunch, 0 );
      }
    else
      {
      // This implements the switch-back-to-last-app behavior. Comment this
      //  out and uncomment the block below to implement the switch-tab
      //  behavior
      if( FtrGet( g_dwCreatorID, g_iFtrPrevAppICard, (DWordPtr)&iCardCur )
           == 0 &&
          FtrGet( g_dwCreatorID, g_iFtrPrevAppIDDB,  (DWordPtr)&idCur )
           == 0 )
        SysUIAppSwitch( iCardCur, idCur, sysAppLaunchCmdNormalLaunch, 0 );
      FtrUnregister( g_dwCreatorID, g_iFtrPrevAppICard );
      FtrUnregister( g_dwCreatorID, g_iFtrPrevAppIDDB );

//      EventType eT;
//      MemSet( &eT, sizeof( eT ), 0 );
//      eT.eType = nextTabEvent;
//      EvtAddEventToQueue( &eT );
      }
    }
  else
    SndPlaySystemSound( sndError );
}

